import request from '@/utils/request'

// 查询所有企业分类
export function getClassificationValueData(query) {
  return request({
    url: '/crmHighTechZoneEnterprises/getCreditScoreList',
    method: 'get',
    params: query
  })
}


// 查询所有经纬度
export function getLngLatValueData(query) {
    return request({
      url: '/crmHighTechZoneEnterprises/getList',
      method: 'get',
      params: query
    })
  }

// 查询评价分析
export function getCreditScoreList(query) {
  return request({
    url: '/crmHighTechZoneEnterprises/getCreditScoreList',
    method: 'get',
    params: query
  })
}

// 查询生产总值
export function getTrossDomesticProduct(query) {
  return request({
    url: '/crmOutputValue/getList',
    method: 'get',
    params: query
  })
}
// 查询税收TOP10
export function getTopTenTaxation(query) {
  return request({
    url: '/crmEnterpriseTaxPaymentInfo/getList',
    method: 'get',
    params: query
  })
}

// 查询潇湘财银贷
export function getXiaoxiangCaiyinLoan(query) {
  return request({
    url: '/crmLoanLedger/getList',
    method: 'get',
    params: query
  })
}
// 查询科技贷
export function getTechnologyLoan(query) {
  return request({
    url: '/crmTechLoanAccount/getList',
    method: 'get',
    params: query
  })
}
// 查询惠园贷
export function getHuiyuanLoan(query) {
  return request({
    url: '/crmHuiparkLoanAccount/getList',
    method: 'get',
    params: query
  })
}

// 查询入驻企业、企业数量
export function getNumberOfEnterprises(query) {
  return request({
    url: '/crmHighTechZoneEnterprises/getList',
    method: 'get',
    params: query
  })
}


// 查询上市企业
export function getListedCompanies(query) {
  return request({
    url: '/crmListedCompany/getList',
    method: 'get',
    params: query
  })
}

// 查询高新技术企业
export function getHighTechEnterprises(query) {
  return request({
    url: '/crmCertifiedTechnologyEnterprise/getList',
    method: 'get',
    params: query
  })
}


// 查询科技中小型企业
export function getTechnologySmallAndmediumSizedEnterprises(query) {
  return request({
    url: '/crmTechnologyEnterprises/getList',
    method: 'get',
    params: query
  })
}
// 查询专利信息
export function getPatentInformation(query) {
  return request({
    url: '/crmPatentInformation/getList',
    method: 'get',
    params: query
  })
}
// 查询行政处罚
export function getAdministrativeSanction(query) {
  return request({
    url: '/crmAdministrativePenalty/getList',
    method: 'get',
    params: query
  })
}
// 查询行政强制执行
export function getAdministrativeEnforcement(query) {
  return request({
    url: '/crmAdministrativeCompulsionInformation/getList',
    method: 'get',
    params: query
  })
}
// 查询经营异常
export function getBusinessAdnormalities(query) {
  return request({
    url: '/crmBusinessAbnormality/getList',
    method: 'get',
    params: query
  })
}
// 查询失信被执行人
export function getDishonestDebtor(query) {
  return request({
    url: '/crmDishonestExecutor/getList',
    method: 'get',
    params: query
  })
}
// 查询社保
export function getSocialSecurity(query) {
  return request({
    url: '/crmEnterpriseSocialSecurityInfo/getList',
    method: 'get',
    params: query
  })
}